
version: "2"
sql:
  - engine: "postgresql"
    schema: "./migrations"
    queries: "./queries"
    gen:
      go:
        package: "repository"
        sql_package: "pgx/v5"
        emit_json_tags: true
        out: "internal/repository"
        overrides:
          - db_type: "uuid"
            go_type:
              import: "github.com/google/uuid"
              type: "UUID"
          - db_type: "timestamptz"
            go_type:
              import: "time"
              type: "Time"
